# Uses of Class
org.apache.lucene.index.CheckIndex.Status.IndexSortStatus

Packages that use CheckIndex.Status.IndexSortStatus
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of CheckIndex.Status.IndexSortStatus in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as CheckIndex.Status.IndexSortStatus
  Modifier and Type
  Field
  Description
  `CheckIndex.Status.IndexSortStatus`
  CheckIndex.Status.SegmentInfoStatus.`indexSortStatus`
  Status of index sort
  Methods in org.apache.lucene.index that return CheckIndex.Status.IndexSortStatus
  Modifier and Type
  Method
  Description
  `static CheckIndex.Status.IndexSortStatus`
  CheckIndex.`testSort(CodecReader reader, Sort sort, PrintStream infoStream, boolean failFast)`
  Tests index sort order.